## hivelytracker 0%2Bgit20180223

=== debian/changelog ===
hivelytracker (0+git20180223-4) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Add Vcs fields.
  * Update Team email address.
  * d/control: Add Recommends field.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 05 Feb 2020 09:03:05 +0100

hivelytracker (0+git20180223-3) unstable; urgency=medium

  * debian/hivelytracker.desktop: updated.
  * Bump standards version to 4.2.1.
  * Add to debian multimedia team.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Sep 2018 14:16:02 +0200

hivelytracker (0+git20180223-2) unstable; urgency=medium

  * Patch Makefile to build on more archs.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 12 Aug 2018 18:34:13 +0200

hivelytracker (0+git20180223-1) unstable; urgency=medium

  * Initial release. (Closes: #893719)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 25 Feb 2018 21:33:37 +0100

## hivelytracker 0+git20180223

=== Replayer_Windows/Makefile ===

CC = gcc

CFLAGS = -g
LFLAGS += -g -lm -lwinmm

TARGET = play_hvl.exe

OBJECTS = hvl_replay.o \
          main.o


$(TARGET): $(OBJECTS)
	$(CC) -o $(TARGET) $(OBJECTS) $(LFLAGS)

$(OBJECTS): %.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@
	@$(CC) -MM $(CFLAGS) $< > $*.d

=== sdl/Makefile ===

WRAPPERDIR := $(CURDIR)
BASEDIR = $(CURDIR)/..

CC = gcc

CFLAGS = -g -Dmain=SDL_main -D__SDL_WRAPPER__


CFLAGS += -I$(BASEDIR) \
          -I$(WRAPPERDIR) \
          -Ic:/mingw/include/SDL

LFLAGS += -g -lm -mwindows -lmingw32 -lSDL_ttf -lSDLmain -lSDL -lSDL_image -lfreetype -lz -lole32 -loleaut32

TARGET = hivelytracker.exe

OBJECTS = sdl_wrapper.o \
          ht.o \
	  win32.o \
	  ../gui.o \
	  ../replay.o \
	  ../util.o \
	  ../undo.o \
	  ../about.o

all: $(TARGET)

-include $(OBJECTS:.o=.d)

$(TARGET): $(OBJECTS) winicon.o
	$(CC) -o $(TARGET) $(OBJECTS) winicon.o $(LFLAGS)

winicon.o: winicon.ico hivelytracker.rc
	windres -i hivelytracker.rc -o winicon.o

$(OBJECTS): %.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@
	@$(CC) -MM $(CFLAGS) $< > $*.d

clean:
	rm $(OBJECTS) $(OBJECTS:.o=.d) $(TARGET) winicon.o

=== debian/control ===
Source: hivelytracker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, fonts-dejavu-core, libgtk2.0-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/hivelytracker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/hivelytracker
Homepage: http://www.hivelytracker.co.uk/

Package: hivelytracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: opencubicplayer
Description: Music tracker for AHX and HVL formats
 This is a music tracker program based upon the AHX. The
 original dates back to Amiga.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=sdl

override_dh_auto_build:
	$(MAKE) -C sdl -f Makefile.linux

override_dh_auto_clean:
	@echo no clean target

override_dh_compress:
	dh_compress -X.hvl -X.ahx

override_dh_fixperms:
	dh_fixperms
	find debian -name 'Settings_os*' -exec chmod -x {} +
	find debian -name '*.ins' -exec chmod -x {} +
	find debian -name '*.hvl' -exec chmod -x {} +
	find debian -name '*.ahx' -exec chmod -x {} +

## hivelytracker 1.9+git20221114+ds

=== Replayer_Windows/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 TARGET = play_hvl.exe
 
 OBJECTS = hvl_replay.o \
+          hvl_tables.o \
           main.o

=== sdl/Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
 
 CC = gcc
 
-CFLAGS = -g -Dmain=SDL_main -D__SDL_WRAPPER__
+CFLAGS = -Dmain=SDL_main -D__SDL_WRAPPER__
 
 
 CFLAGS += -I$(BASEDIR) \
           -I$(WRAPPERDIR) \
-          -Ic:/mingw/include/SDL
+          -Ic:/mingw/include/SDL \
+          `sdl-config --cflags --libs`
 
-LFLAGS += -g -lm -mwindows -lmingw32 -lSDL_ttf -lSDLmain -lSDL -lSDL_image -lfreetype -lz -lole32 -loleaut32
+LFLAGS += -lm -mwindows -lmingw32 -lSDL_ttf -lSDLmain -lSDL -lSDL_image -lfreetype -lz -lole32 -loleaut32
 
 TARGET = hivelytracker.exe
 
@@ -24,7 +25,16 @@
 	  ../undo.o \
 	  ../about.o
 
-all: $(TARGET)
+all: release hively_tracker
+
+release: CFLAGS += -O3
+release: LFLAGS += -s
+release: hively_tracker
+
+debug: CFLAGS += -g
+debug: hively_tracker
+
+hively_tracker: $(TARGET)
 
 -include $(OBJECTS:.o=.d)

=== debian/changelog ===
hivelytracker (1.9+git20221114+ds-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Jul 2024 05:20:19 +0000

hivelytracker (1.9+git20221114+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.6.2.
  * bump debhelper version to 13, drop d/compat.

 -- Gürkan Myczko <tar@debian.org>  Wed, 14 Jun 2023 08:23:20 +0200

hivelytracker (1.9+git20221114+ds-1) experimental; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.1.
  * d/copyright: bump years, add Files-Excluded.
  * d/control: update build-depends to libgtk-3-dev. (Closes: #967527)

 -- Gürkan Myczko <tar@debian.org>  Mon, 14 Nov 2022 12:53:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, fonts-dejavu-core, libgtk2.0-dev
-Standards-Version: 4.5.0
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libsdl1.2-dev,
+ libsdl-image1.2-dev,
+ libsdl-ttf2.0-dev,
+ fonts-dejavu-core,
+ libgtk-3-dev
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/hivelytracker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/hivelytracker
 Homepage: http://www.hivelytracker.co.uk/

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?V?(\d[\d_]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/pete-gordon/hivelytracker/tags \
   (?:.*?/)?V(\d[\d_]*)\.tar\.gz debian uupdate
